## Name

intBitsToFloat, uintBitsToFloat — produce a floating point using an encoding supplied as an integer

## Declaration

`genType intBitsToFloat(` | genIType x`)`;

`genType uintBitsToFloat(` | genUType x`)`;

## Parameters

`x`

  Specifies the bit encoding to return as a floating point value.

## Description

`intBitsToFloat` and `uintBitsToFloat` return the encoding passed in parameter `x` as a floating-point value. If the encoding of a NaN is passed in `x`, it will not signal and the resulting value will be undefined. If the encoding of a floating point infinity is passed in parameter `x`, the resulting floating-point value is the corresponding (positive or negative) floating point infinity.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
intBitsToFloat | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

floatBitsToInt, `floatBitsToUint`, isnan, isinf

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.